APT-MARK(8)

NAME
apt-mark - mark/unmark a package as being automatically-installed

SYNOPSIS

apt-mark [-f=filename] {auto | manual | showauto | showmanual} pkg... | {-v | --version} | {-h | --help}

DESCRIPTION

apt-mark will change whether a package has been marked as being automatically installed.

When you request that a package is installed, and as a result other packages are installed to satisfy its dependencies, the dependencies are marked as being automatically installed. Once these automatically installed packages are no longer depended on by any manually installed packages, they will be removed by e.g. apt-get or aptitude.

auto
    auto is used to mark a package as being automatically installed, which will cause the package to be removed when no more manually installed packages depend on this package.

manual
    manual is used to mark a package as being manually installed, which will prevent the package from being automatically removed if no other packages depend on it.

hold
    hold is used to mark a package as held back, which will prevent the package from being automatically installed, upgraded or removed. The command is only a wrapper around dpkg --set-selections and the state is therefore maintained by dpkg(1) and not affected by the --file option.

unhold
    unhold is used to cancel a previously set hold on a package to allow all actions again.

showauto
    showauto is used to print a list of automatically installed packages with each package on a new line. All automatically installed packages will be listed if no package is given. If packages are given only those which are automatically installed will be shown.

showmanual
    showmanual can be used in the same way as showauto except that it will print a list of manually installed packages instead.

showhold
    showhold is used to print a list of packages on hold in the same way as for the other show commands.

OPTIONS

-f=filename, --file=filename
    Read/Write package stats from the filename given with the parameter filename instead of from the default location, which is extended_status in the directory defined by the Configuration Item: Dir::State.

-h, --help
    Show a short usage summary.

-v, --version
    Show the program version.

-c, --config-file
    Configuration File; Specify a configuration file to use. The program will read the default configuration file and then this configuration file. If configuration settings need to be set before the default configuration files are parsed specify a file with the APT_CONFIG environment variable. See apt.conf(5) for syntax information.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

FILES

/var/lib/apt/extended_states
    Status list of auto-installed packages. Configuration Item: Dir::State::extended_states.

SEE ALSO

apt-get(8),aptitude(8),apt.conf(5)

DIAGNOSTICS

apt-mark returns zero on normal operation, non-zero on error.

BUGS

APT bug page[1]. If you wish to report a bug in APT, please see /usr/share/doc/debian/bug-reporting.txt or the reportbug(1) command.

AUTHORS

Mike O'Connor

APT team

NOTES

1.  APT bug page
    http://bugs.debian.org/src:apt